// cLstServerInfo.h: interface for the cLstServerInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CLSTSERVERINFO_H__49B2CD65_52F3_4269_B1A5_3A7FE30309E6__INCLUDED_)
#define AFX_CLSTSERVERINFO_H__49B2CD65_52F3_4269_B1A5_3A7FE30309E6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class cLstServerInfo  
{
public:
	cLstServerInfo();
	virtual ~cLstServerInfo();

	vector<cServerInfo>	m_lstServers;

	void AddServerInfo(cServerInfo &serverInfo);
	void UpdateStatusOfServer(Word32 serverId,Word8 serverState, Word32 rank);


	void RestartGetNextConnectedServer();
	cServerInfo *GetNextConnectedServer();

private:
	int m_Pos;

};

#endif // !defined(AFX_CLSTSERVERINFO_H__49B2CD65_52F3_4269_B1A5_3A7FE30309E6__INCLUDED_)
